# Get Signal Detail

`GET` `/v1/signals/{signal_id}`

Get one signal by ID, including the full analysis in `json_data`.

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `signal_id` | string | Yes | Signal ID, e.g. `sign_992_1a00c9425c3_48ab`. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/signals/<signal_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `signal` | object | Yes | The signal record |
| `└ id` | string | Yes | Signal ID |
| `└ symbol` | string | No | Security symbol |
| `└ title` | string | No | Signal headline |
| `└ summary` | string | No | Natural-language summary (Markdown) |
| `└ outlook` | string | No | Outlook: `Strong bullish`, `Bullish`, `Neutral`, `Bearish`, `Strong bearish` |
| `└ json_data` | string | No | Full strategy analysis as a JSON document, carried verbatim |
| `└ created_at` | string | Yes | Creation time (RFC3339) |
| `└ updated_at` | string | Yes | Last update time (RFC3339) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "signal": {
      "id": "sign_992_1a00c9425c3_48ab",
      "symbol": "992.HK",
      "title": "Momentum breakout",
      "summary": "RSI crossed above 70 ...",
      "outlook": "Bullish",
      "json_data": "{\"core_conclusion\":{\"outlook_enum\":2}}",
      "created_at": "2026-06-01T09:30:00Z",
      "updated_at": "2026-06-01T09:30:00Z"
    }
  }
}
```
